// OTTitleView.h
// By Alex B. Cone, Objective Technologies, Inc
// Copyright (c) 1990, 1991 Objective Technologies, Inc.

#import <appkit/ScrollView.h>

#define OTTITLEVIEW_CURRENT_VERSION 10

@interface OTTitleView:ScrollView
{
     BOOL	isTitled;
     id		titleField;
}

/* factory methods */
+ initialize;

/* instance methods */
- initFrame:(const NXRect *)theFrame titles:(BOOL)t;;
- initFrame:(const NXRect *)theFrame;
- free;
- tile;
- setTitled:(BOOL)yesOrNo;
- (BOOL)titled;
- setTitle:(const char *)aString;
- (const char *)title;
- write:(NXTypedStream *) s;
- read:(NXTypedStream *) s;

@end


